using System;
using System.Collections.Generic;

namespace Ato.EN.IntegrationServices.CodeGenerationFITR
{
    public class FITR2019
    {

        public string INTId = null;
        public bool INTExists = false;
        public int INTCount = 0;
        public int INTOccurrenceIndex = 0;
        public int INTLastOccurrenceIndex = 0;
        public string INTIdentifier = null;
        public string INTIdentifierScheme = null;
        public string INTIdentifierABN = null;
        public DateTime? INTStartDate = null;
        public DateTime? INTEndDate = null;

        public bool DeclarationCollectionExists = false;
        public int DeclarationCollectionCount = 0;

        /// <summary>
        /// [Declaration.StatementType.Code='TrueAndCorrect']
        /// </summary>
        public bool DeclarationCollection_TrueAndCorrect_INTExists = false;

        /// <summary>
        /// [Declaration.StatementType.Code='TrueAndCorrect']
        /// </summary>
        public int DeclarationCollection_TrueAndCorrect_INTCount = 0;

        /// <summary>
        /// [Declaration.StatementType.Code='TrueAndCorrect'] Occurrence Index
        /// </summary>
        public int DeclarationCollection_TrueAndCorrect_INTOccurrenceIndex = 0;

        /// <summary>
        /// [Declaration.StatementType.Code='TrueAndCorrect'] Last Occurrence Index
        /// </summary>
        public int DeclarationCollection_TrueAndCorrect_INTLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration
        /// [Declaration.StatementType.Code='TrueAndCorrect']
        /// INT:tns:Declaration.StatementType.Code
        /// </summary>
        public string FITR164 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration
        /// [Declaration.StatementType.Code='TrueAndCorrect']
        /// INT:tns:Declaration.StatementAccepted.Indicator
        /// </summary>
        public bool? FITR165 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration
        /// [Declaration.StatementType.Code='TrueAndCorrect']
        /// INT:tns:Declaration.Statement.Text
        /// </summary>
        public string FITR124 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration
        /// [Declaration.StatementType.Code='TrueAndCorrect']
        /// INT:tns:Declaration.Signature.Date
        /// </summary>
        public DateTime? FITR125 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration
        /// [Declaration.StatementType.Code='TrueAndCorrect']
        /// INT:tns:Declaration.SignatoryIdentifier.Text
        /// </summary>
        public string FITR163 = null;

        public bool Declaration_PersonUnstructuredNameCollectionExists = false;
        public int Declaration_PersonUnstructuredNameCollectionCount = 0;

        /// <summary>
        /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory']
        /// </summary>
        public bool Declaration_PersonUnstructuredNameCollection_DeclarationSignatory_INTExists = false;

        /// <summary>
        /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory']
        /// </summary>
        public int Declaration_PersonUnstructuredNameCollection_DeclarationSignatory_INTCount = 0;

        /// <summary>
        /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory'] Occurrence Index
        /// </summary>
        public int Declaration_PersonUnstructuredNameCollection_DeclarationSignatory_INTOccurrenceIndex = 0;

        /// <summary>
        /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory'] Last Occurrence Index
        /// </summary>
        public int Declaration_PersonUnstructuredNameCollection_DeclarationSignatory_INTLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration/tns:PersonUnstructuredName
        /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory']
        /// INT:tns:PersonUnstructuredName.Usage.Code
        /// </summary>
        public string FITR168 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration/tns:PersonUnstructuredName
        /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory']
        /// INT:tns:PersonUnstructuredName.FullName.Text
        /// </summary>
        public string FITR169 = null;

        public bool PersonNameDetailsCollectionExists = false;
        public int PersonNameDetailsCollectionCount = 0;

        /// <summary>
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
        /// </summary>
        public bool PersonNameDetailsCollection_LGL_Contact_C_INTExists = false;

        /// <summary>
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
        /// </summary>
        public int PersonNameDetailsCollection_LGL_Contact_C_INTCount = 0;

        /// <summary>
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C'] Occurrence Index
        /// </summary>
        public int PersonNameDetailsCollection_LGL_Contact_C_INTOccurrenceIndex = 0;

        /// <summary>
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C'] Last Occurrence Index
        /// </summary>
        public int PersonNameDetailsCollection_LGL_Contact_C_INTLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
        /// INT:tns:PersonNameDetails.PersonNameType.Code
        /// </summary>
        public string FITR153 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
        /// INT:tns:PersonNameDetails.Usage.Code
        /// </summary>
        public string FITR155 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
        /// INT:tns:PersonNameDetails.Currency.Code
        /// </summary>
        public string FITR154 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
        /// INT:tns:PersonNameDetails.Title.Text
        /// </summary>
        public string FITR111 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
        /// INT:tns:PersonNameDetails.NameSuffix.Text
        /// </summary>
        public string FITR113 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
        /// INT:tns:PersonNameDetails.FamilyName.Text
        /// </summary>
        public string FITR112 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
        /// INT:tns:PersonNameDetails.GivenName.Text
        /// </summary>
        public string FITR114 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
        /// INT:tns:PersonNameDetails.OtherGivenName.Text
        /// </summary>
        public string FITR115 = null;

        public bool OrganisationNameDetailsCollectionExists = false;
        public int OrganisationNameDetailsCollectionCount = 0;

        /// <summary>
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
        /// </summary>
        public bool OrganisationNameDetailsCollection_MN_C_INTExists = false;

        /// <summary>
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
        /// </summary>
        public int OrganisationNameDetailsCollection_MN_C_INTCount = 0;

        /// <summary>
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C'] Occurrence Index
        /// </summary>
        public int OrganisationNameDetailsCollection_MN_C_INTOccurrenceIndex = 0;

        /// <summary>
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C'] Last Occurrence Index
        /// </summary>
        public int OrganisationNameDetailsCollection_MN_C_INTLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:OrganisationNameDetails
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
        /// INT:tns:OrganisationNameDetails.OrganisationalNameType.Code
        /// </summary>
        public string FITR159 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:OrganisationNameDetails
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
        /// INT:tns:OrganisationNameDetails.Currency.Code
        /// </summary>
        public string FITR198 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:OrganisationNameDetails
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
        /// INT:tns:OrganisationNameDetails.OrganisationalName.Text
        /// </summary>
        public string FITR116 = null;

        public bool ElectronicContactTelephoneCollectionExists = false;
        public int ElectronicContactTelephoneCollectionCount = 0;

        /// <summary>
        /// [ElectronicContact.Telephone.Usage.Code='03']
        /// </summary>
        public bool ElectronicContactTelephoneCollection_03_INTExists = false;

        /// <summary>
        /// [ElectronicContact.Telephone.Usage.Code='03']
        /// </summary>
        public int ElectronicContactTelephoneCollection_03_INTCount = 0;

        /// <summary>
        /// [ElectronicContact.Telephone.Usage.Code='03'] Occurrence Index
        /// </summary>
        public int ElectronicContactTelephoneCollection_03_INTOccurrenceIndex = 0;

        /// <summary>
        /// [ElectronicContact.Telephone.Usage.Code='03'] Last Occurrence Index
        /// </summary>
        public int ElectronicContactTelephoneCollection_03_INTLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:ElectronicContactTelephone
        /// [ElectronicContact.Telephone.Usage.Code='03']
        /// INT:tns:ElectronicContact.Telephone.Usage.Code
        /// </summary>
        public string FITR156 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:ElectronicContactTelephone
        /// [ElectronicContact.Telephone.Usage.Code='03']
        /// INT:tns:ElectronicContact.Telephone.ServiceLine.Code
        /// </summary>
        public string FITR157 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:ElectronicContactTelephone
        /// [ElectronicContact.Telephone.Usage.Code='03']
        /// INT:tns:ElectronicContact.Telephone.Area.Code
        /// </summary>
        public string FITR117 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:ElectronicContactTelephone
        /// [ElectronicContact.Telephone.Usage.Code='03']
        /// INT:tns:ElectronicContact.Telephone.Minimal.Number
        /// </summary>
        public string FITR118 = null;

        /// <summary>
        /// INT:tns:Identifiers.TaxAgentClientReference.Text
        /// </summary>
        public string FITR119 = null;

        /// <summary>
        /// INT:tns:Identifiers.TaxAgentNumber.Identifier
        /// </summary>
        public string FITR2 = null;

        public string RPId = null;
        public bool RPExists = false;
        public int RPCount = 0;
        public int RPOccurrenceIndex = 0;
        public int RPLastOccurrenceIndex = 0;
        public string RPIdentifier = null;
        public string RPIdentifierScheme = null;
        public string RPIdentifierTFN = null;
        public DateTime? RPStartDate = null;
        public DateTime? RPEndDate = null;

        /// <summary>
        /// RP:tns:Identifiers.TaxFileNumber.Identifier
        /// </summary>
        public string FITR5 = null;

        /// <summary>
        /// RP:tns:Report.TargetFinancial.Year
        /// </summary>
        public int? FITR1 = null;

        /// <summary>
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
        /// </summary>
        public bool OrganisationNameDetailsCollection_MN_C_RPExists = false;

        /// <summary>
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
        /// </summary>
        public int OrganisationNameDetailsCollection_MN_C_RPCount = 0;

        /// <summary>
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C'] Occurrence Index
        /// </summary>
        public int OrganisationNameDetailsCollection_MN_C_RPOccurrenceIndex = 0;

        /// <summary>
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C'] Last Occurrence Index
        /// </summary>
        public int OrganisationNameDetailsCollection_MN_C_RPLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:OrganisationNameDetails
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
        /// RP:tns:OrganisationNameDetails.OrganisationalNameType.Code
        /// </summary>
        public string FITR151 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:OrganisationNameDetails
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
        /// RP:tns:OrganisationNameDetails.Currency.Code
        /// </summary>
        public string FITR192 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:OrganisationNameDetails
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
        /// RP:tns:OrganisationNameDetails.OrganisationalName.Text
        /// </summary>
        public string FITR6 = null;

        /// <summary>
        /// RP:tns:Identifiers.AustralianBusinessNumber.Identifier
        /// </summary>
        public string FITR7 = null;

        public bool AddressDetailsCollectionExists = false;
        public int AddressDetailsCollectionCount = 0;

        /// <summary>
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// </summary>
        public bool AddressDetailsCollection_POS_C_RPExists = false;

        /// <summary>
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// </summary>
        public int AddressDetailsCollection_POS_C_RPCount = 0;

        /// <summary>
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C'] Occurrence Index
        /// </summary>
        public int AddressDetailsCollection_POS_C_RPOccurrenceIndex = 0;

        /// <summary>
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C'] Last Occurrence Index
        /// </summary>
        public int AddressDetailsCollection_POS_C_RPLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.OverseasAddress.Indicator
        /// </summary>
        public bool? FITR143 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Usage.Code
        /// </summary>
        public string FITR144 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Currency.Code
        /// </summary>
        public string FITR145 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Line1.Text
        /// </summary>
        public string FITR8 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Line2.Text
        /// </summary>
        public string FITR146 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Line3.Text
        /// </summary>
        public string FITR147 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Line4.Text
        /// </summary>
        public string FITR148 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.LocalityName.Text
        /// </summary>
        public string FITR9 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Postcode.Text
        /// </summary>
        public string FITR11 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.StateOrTerritory.Code
        /// </summary>
        public string FITR10 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.CountryName.Text
        /// </summary>
        public string FITR149 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Country.Code
        /// </summary>
        public string FITR150 = null;

        /// <summary>
        /// RP:tns:Report.Amendment.Indicator
        /// </summary>
        public bool? FITR171 = null;

        /// <summary>
        /// RP:tns:Report.AmendmentSequence.Number
        /// </summary>
        public decimal? FITR174 = null;

        /// <summary>
        /// RP:tns:Report.AmendmentReason.Text
        /// </summary>
        public string FITR173 = null;

        /// <summary>
        /// RP:tns:Report.AmendmentType.Code
        /// </summary>
        public string FITR172 = null;

        public bool TrusteeCollectionExists = false;
        public int TrusteeCollectionCount = 0;

        public bool Trustee_OrganisationNameDetailsCollectionExists = false;
        public int Trustee_OrganisationNameDetailsCollectionCount = 0;

        /// <summary>
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
        /// </summary>
        public bool Trustee_OrganisationNameDetailsCollection_MN_C_RPExists = false;

        /// <summary>
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
        /// </summary>
        public int Trustee_OrganisationNameDetailsCollection_MN_C_RPCount = 0;

        /// <summary>
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C'] Occurrence Index
        /// </summary>
        public int Trustee_OrganisationNameDetailsCollection_MN_C_RPOccurrenceIndex = 0;

        /// <summary>
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C'] Last Occurrence Index
        /// </summary>
        public int Trustee_OrganisationNameDetailsCollection_MN_C_RPLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:Trustee/tns:OrganisationNameDetails
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
        /// RP:tns:OrganisationNameDetails.OrganisationalNameType.Code
        /// </summary>
        public string FITR152 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:Trustee/tns:OrganisationNameDetails
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
        /// RP:tns:OrganisationNameDetails.Currency.Code
        /// </summary>
        public string FITR194 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:Trustee/tns:OrganisationNameDetails
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
        /// RP:tns:OrganisationNameDetails.OrganisationalName.Text
        /// </summary>
        public string FITR12 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:Trustee
        /// RP:tns:Identifiers.AustralianBusinessNumber.Identifier
        /// </summary>
        public string FITR13 = null;

        public bool FinancialInstitutionAccountCollectionExists = false;
        public int FinancialInstitutionAccountCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:FinancialInstitutionAccount
        /// RP:tns:FinancialInstitutionAccount.BankStateBranch.Number
        /// </summary>
        public string FITR176 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:FinancialInstitutionAccount
        /// RP:tns:FinancialInstitutionAccount.FinancialInstitutionAccount.Number
        /// </summary>
        public string FITR177 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:FinancialInstitutionAccount
        /// RP:tns:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text
        /// </summary>
        public string FITR178 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:FinancialInstitutionAccount
        /// RP:tns:FinancialInstitutionAccount.FinancialInstitutionBranchName.Text
        /// </summary>
        public string FITR179 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:FinancialInstitutionAccount
        /// RP:tns:FinancialInstitutionAccount.FinancialInstitutionName.Text
        /// </summary>
        public string FITR180 = null;

        /// <summary>
        /// RP:tns:Party.Type.Code
        /// </summary>
        public string FITR14 = null;

        /// <summary>
        /// RP:tns:SuperannuationFundDetails.AustralianSuperannuationFundStatus.Indicator
        /// </summary>
        public bool? FITR15 = null;

        /// <summary>
        /// RP:tns:SuperannuationFundDetails.FundBenefitStructure.Code
        /// </summary>
        public string FITR16 = null;

        /// <summary>
        /// RP:tns:OrganisationDetails.Establishment.Date
        /// </summary>
        public DateTime? FITR18 = null;

        /// <summary>
        /// RP:tns:OrganisationDetails.OperationCease.Indicator
        /// </summary>
        public bool? FITR19 = null;

        /// <summary>
        /// RP:tns:OrganisationDetails.OrganisationActivityStatusEnd.Date
        /// </summary>
        public DateTime? FITR20 = null;

        /// <summary>
        /// RP:tns:OrganisationDetails.SignificantGlobalEntityStatus.Indicator
        /// </summary>
        public bool? FITR212 = null;

        /// <summary>
        /// RP:tns:CapitalGainsTax.Event.Indicator
        /// </summary>
        public bool? FITR21 = null;

        /// <summary>
        /// RP:tns:CapitalGainsTax.ExemptionOrRolloverApplied.Indicator
        /// </summary>
        public bool? FITR203 = null;

        /// <summary>
        /// RP:tns:CapitalGainsTax.ExemptionOrRolloverApplied.Code
        /// </summary>
        public List<string> FITR204Collection = null;

        /// <summary>
        /// RP:tns:Income.CapitalGainsNet.Amount
        /// </summary>
        public decimal? FITR23 = null;

        /// <summary>
        /// RP:tns:Income.RentLeasingHiringGross.Amount
        /// </summary>
        public decimal? FITR24 = null;

        /// <summary>
        /// RP:tns:Income.Interest.Gross.Amount
        /// </summary>
        public decimal? FITR25 = null;

        /// <summary>
        /// RP:tns:Income.ForestryManagedInvestmentScheme.Amount
        /// </summary>
        public decimal? FITR26 = null;

        /// <summary>
        /// RP:tns:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount
        /// </summary>
        public decimal? FITR29 = null;

        /// <summary>
        /// RP:tns:Equity.InternationalDealings.ForeignFundTransfers.Amount
        /// </summary>
        public decimal? FITR30 = null;

        /// <summary>
        /// RP:tns:InternationalDealings.ForeignFundTransfers.Count
        /// </summary>
        public decimal? FITR31 = null;

        /// <summary>
        /// RP:tns:Remuneration.ABNNotQuotedPaymentGross.Amount
        /// </summary>
        public decimal? FITR32 = null;

        /// <summary>
        /// RP:tns:Income.PartnershipDistributionGross.Amount
        /// </summary>
        public decimal? FITR33 = null;

        /// <summary>
        /// RP:tns:Income.DividendsUnfranked.Amount
        /// </summary>
        public decimal? FITR34 = null;

        /// <summary>
        /// RP:tns:Income.DividendsFranked.Amount
        /// </summary>
        public decimal? FITR35 = null;

        /// <summary>
        /// RP:tns:IncomeTax.FrankingCredits.Amount
        /// </summary>
        public decimal? FITR36 = null;

        /// <summary>
        /// RP:tns:Income.TrustDistributionUnfranked.Amount
        /// </summary>
        public decimal? FITR37 = null;

        /// <summary>
        /// RP:tns:Income.TrustDistributionFranked.Amount
        /// </summary>
        public decimal? FITR38 = null;

        /// <summary>
        /// RP:tns:IncomeTax.FrankingCredits.FrankingCreditShareReceivedIndirectly.Amount
        /// </summary>
        public decimal? FITR39 = null;

        /// <summary>
        /// RP:tns:Income.TrustDistributionOther.Amount
        /// </summary>
        public decimal? FITR40 = null;

        /// <summary>
        /// RP:tns:SuperannuationContribution.EmployerAssessable.Amount
        /// </summary>
        public decimal? FITR41 = null;

        /// <summary>
        /// RP:tns:SuperannuationContribution.PersonalAssessable.Amount
        /// </summary>
        public decimal? FITR42 = null;

        /// <summary>
        /// RP:tns:SuperannuationContribution.EmployerContributionsTaxFileNumberNotQuoted.Amount
        /// </summary>
        public decimal? FITR43 = null;

        /// <summary>
        /// RP:tns:SuperannuationContribution.ContributionsExcludedByTrustee.Amount
        /// </summary>
        public decimal? FITR44 = null;

        /// <summary>
        /// RP:tns:SuperannuationContribution.ReducedContributions.Amount
        /// </summary>
        public decimal? FITR45 = null;

        /// <summary>
        /// RP:tns:SuperannuationContribution.LiabilityTransferToLifeInsuranceCompanyOrPooledSuperannuationTrustAssessable.Amount
        /// </summary>
        public decimal? FITR46 = null;

        /// <summary>
        /// RP:tns:Income.ForeignExchangeGains.Amount
        /// </summary>
        public decimal? FITR186 = null;

        /// <summary>
        /// RP:tns:Income.Other.Amount
        /// </summary>
        public decimal? FITR47 = null;

        /// <summary>
        /// RP:tns:Income.Other.Code
        /// </summary>
        public string FITR48 = null;

        /// <summary>
        /// RP:tns:Income.AssessableIncomeDueToFundTaxStatusChange.Amount
        /// </summary>
        public decimal? FITR49 = null;

        /// <summary>
        /// RP:tns:Income.NonArmsLengthOtherNet.Amount
        /// </summary>
        public decimal? FITR50 = null;

        /// <summary>
        /// RP:tns:TaxConcession.PensionIncomeExemptDeduction.Amount
        /// </summary>
        public decimal? FITR200 = null;

        /// <summary>
        /// RP:tns:Remuneration.WagesandSalaries.Payments.Amount
        /// </summary>
        public decimal? FITR54 = null;

        /// <summary>
        /// RP:tns:Expense.CapitalWorksDeduction.Amount
        /// </summary>
        public decimal? FITR55 = null;

        /// <summary>
        /// RP:tns:Expense.DepreciationAllowableDeduction.Amount
        /// </summary>
        public decimal? FITR56 = null;

        /// <summary>
        /// RP:tns:Expense.PremiumsDeathOrDisability.Amount
        /// </summary>
        public decimal? FITR57 = null;

        /// <summary>
        /// RP:tns:Expense.DeathBenefitLumpSumIncrease.Amount
        /// </summary>
        public decimal? FITR58 = null;

        /// <summary>
        /// RP:tns:Expense.Investment.Amount
        /// </summary>
        public decimal? FITR59 = null;

        /// <summary>
        /// RP:tns:Expense.Operating.ManagementExpense.Amount
        /// </summary>
        public decimal? FITR190 = null;

        /// <summary>
        /// RP:tns:Expense.Operating.AdministrativeExpense.Amount
        /// </summary>
        public decimal? FITR188 = null;

        /// <summary>
        /// RP:tns:Expense.ForestryManagedInvestmentSchemeDeduction.Amount
        /// </summary>
        public decimal? FITR61 = null;

        /// <summary>
        /// RP:tns:Income.ForeignExchangeLosses.Amount
        /// </summary>
        public decimal? FITR187 = null;

        /// <summary>
        /// RP:tns:Expense.DeductibleOther.Amount
        /// </summary>
        public decimal? FITR62 = null;

        /// <summary>
        /// RP:tns:Expense.DeductibleOther.Code
        /// </summary>
        public string FITR63 = null;

        /// <summary>
        /// RP:tns:IncomeTax.Deduction.TaxLossesDeducted.Amount
        /// </summary>
        public decimal? FITR64 = null;

        /// <summary>
        /// RP:tns:Income.Taxable.Amount
        /// </summary>
        public decimal? FITR65 = null;

        /// <summary>
        /// RP:tns:IncomeTax.TotalTaxOnTaxableIncome.Amount
        /// </summary>
        public decimal? FITR182 = null;

        /// <summary>
        /// RP:tns:IncomeTax.TFNNotQuotedContributionsTax.Amount
        /// </summary>
        public decimal? FITR181 = null;

        /// <summary>
        /// RP:tns:IncomeTax.TaxableGross.Amount
        /// </summary>
        public decimal? FITR66 = null;

        /// <summary>
        /// RP:tns:Income.InternationalDealings.TaxOffset.Amount
        /// </summary>
        public decimal? FITR67 = null;

        /// <summary>
        /// RP:tns:IncomeTax.TaxOffsetsAndRebatesTotal.Amount
        /// </summary>
        public decimal? FITR68 = null;

        /// <summary>
        /// RP:tns:IncomeTax.TaxOffsetNonRefundableNonCarryForward.Amount
        /// </summary>
        public decimal? FITR189 = null;

        /// <summary>
        /// RP:tns:IncomeTax.SubtotalTaxPayable.Amount
        /// </summary>
        public decimal? FITR183 = null;

        /// <summary>
        /// RP:tns:IncomeTax.TaxOffsetNonRefundableCarryForward.Amount
        /// </summary>
        public decimal? FITR215 = null;

        /// <summary>
        /// RP:tns:IncomeTax.TaxOffsetCarriedForwardSubTotal.Amount
        /// </summary>
        public decimal? FITR216 = null;

        /// <summary>
        /// RP:tns:IncomeTax.FrankingCredits.Refundable.Amount
        /// </summary>
        public decimal? FITR73 = null;

        /// <summary>
        /// RP:tns:IncomeTax.TaxOffsetTFNNotQuoted.Amount
        /// </summary>
        public decimal? FITR131 = null;

        /// <summary>
        /// RP:tns:IncomeTax.TaxOffsetEntitlementForNationalRentalAffordabilityScheme.Amount
        /// </summary>
        public decimal? FITR133 = null;

        /// <summary>
        /// RP:tns:IncomeTax.TaxOffsetExplorationCredits.Amount
        /// </summary>
        public decimal? FITR206 = null;

        /// <summary>
        /// RP:tns:IncomeTax.TotalRefundableTaxOffsets.Amount
        /// </summary>
        public decimal? FITR184 = null;

        /// <summary>
        /// RP:tns:IncomeTax.Payable.Amount
        /// </summary>
        public decimal? FITR199 = null;

        /// <summary>
        /// RP:tns:InternationalDealings.AAMInterestSection102.Amount
        /// </summary>
        public decimal? FITR69 = null;

        /// <summary>
        /// RP:tns:Income.Interest.EarlyPaymentCredit.Amount
        /// </summary>
        public decimal? FITR70 = null;

        /// <summary>
        /// RP:tns:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromForeignResidents.Amount
        /// </summary>
        public decimal? FITR71 = null;

        /// <summary>
        /// RP:tns:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldTFNNotQuotedAndABNNotQuoted.Amount
        /// </summary>
        public decimal? FITR72 = null;

        /// <summary>
        /// RP:tns:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrustShareReceivedIndirectly.Amount
        /// </summary>
        public decimal? FITR175 = null;

        /// <summary>
        /// RP:tns:IncomeTax.TaxOffsetCalculatedInterestTFNNotQuoted.Amount
        /// </summary>
        public decimal? FITR132 = null;

        /// <summary>
        /// RP:tns:IncomeTax.PayAsYouGoWithholding.CreditForCapitalGainsWithheldFromForeignResidents.Amount
        /// </summary>
        public decimal? FITR209 = null;

        /// <summary>
        /// RP:tns:IncomeTax.Deduction.CreditsEligibleTotal.Amount
        /// </summary>
        public decimal? FITR201 = null;

        /// <summary>
        /// RP:tns:IncomeTax.TotalRemainderOfRefundableTaxOffsets.Amount
        /// </summary>
        public decimal? FITR185 = null;

        /// <summary>
        /// RP:tns:IncomeTax.LiabilityInstalmentsTotal.Amount
        /// </summary>
        public decimal? FITR74 = null;

        /// <summary>
        /// RP:tns:IncomeTax.PayableOrRefundableTotal.Amount
        /// </summary>
        public decimal? FITR75 = null;

        /// <summary>
        /// RP:tns:Equity.NetAssetsCalculated.Amount
        /// </summary>
        public decimal? FITR83 = null;

        /// <summary>
        /// RP:tns:IncomeTax.Superannuation.TransferredAssessable.Indicator
        /// </summary>
        public bool? FITR84 = null;

        public bool TransfereeCollectionExists = false;
        public int TransfereeCollectionCount = 0;

        public List<Transferee> TransfereeCollection = null;

        public class Transferee
        {
            public int OccurrenceIndex = 0;

            public bool Transferee_OrganisationNameDetailsCollectionExists = false;
            public int Transferee_OrganisationNameDetailsCollectionCount = 0;

            /// <summary>
            /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
            /// </summary>
            public bool Transferee_OrganisationNameDetailsCollection_MN_C_RPExists = false;

            /// <summary>
            /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
            /// </summary>
            public int Transferee_OrganisationNameDetailsCollection_MN_C_RPCount = 0;

            /// <summary>
            /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C'] Occurrence Index
            /// </summary>
            public int Transferee_OrganisationNameDetailsCollection_MN_C_RPOccurrenceIndex = 0;

            /// <summary>
            /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C'] Last Occurrence Index
            /// </summary>
            public int Transferee_OrganisationNameDetailsCollection_MN_C_RPLastOccurrenceIndex = 0;

            /// <summary>
            /// /xbrli:xbrl/tns:Transferee/tns:OrganisationNameDetails
            /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
            /// RP:tns:OrganisationNameDetails.OrganisationalNameType.Code
            /// </summary>
            public string FITR170 = null;

            /// <summary>
            /// /xbrli:xbrl/tns:Transferee/tns:OrganisationNameDetails
            /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
            /// RP:tns:OrganisationNameDetails.Currency.Code
            /// </summary>
            public string FITR196 = null;

            /// <summary>
            /// /xbrli:xbrl/tns:Transferee/tns:OrganisationNameDetails
            /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
            /// RP:tns:OrganisationNameDetails.OrganisationalName.Text
            /// </summary>
            public string FITR85 = null;

            /// <summary>
            /// /xbrli:xbrl/tns:Transferee
            /// RP:tns:Identifiers.AustralianBusinessNumber.Identifier
            /// </summary>
            public string FITR86 = null;

            /// <summary>
            /// /xbrli:xbrl/tns:Transferee
            /// RP:tns:IncomeTax.Superannuation.TransferredAssessable.Amount
            /// </summary>
            public decimal? FITR87 = null;

            /// <summary>
            /// /xbrli:xbrl/tns:Transferee
            /// RP:tns:IncomeTax.Superannuation.MarketValueTransfer.Amount
            /// </summary>
            public decimal? FITR88 = null;
        }

        /// <summary>
        /// RP:tns:IncomeTax.Superannuation.MarketValueTotal.Amount
        /// </summary>
        public decimal? FITR89 = null;

        /// <summary>
        /// RP:tns:InternationalDealings.RelatedPartiesTransactions.Indicator
        /// </summary>
        public bool? FITR90 = null;

        /// <summary>
        /// RP:tns:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator
        /// </summary>
        public bool? FITR91 = null;

        /// <summary>
        /// RP:tns:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator
        /// </summary>
        public bool? FITR92 = null;

        /// <summary>
        /// RP:tns:InternationalDealings.ForeignSourceIncomeExcessAggregateValue.Indicator
        /// </summary>
        public bool? FITR93 = null;

        /// <summary>
        /// RP:tns:InternationalDealings.TransactionsWithTaxHavenCountries.Indicator
        /// </summary>
        public bool? FITR94 = null;

        /// <summary>
        /// RP:tns:TaxConcession.ClaimedExemptCurrentPensionIncomeAndCertificateObtained.Indicator
        /// </summary>
        public bool? FITR95 = null;

        /// <summary>
        /// RP:tns:IncomeTax.Deduction.ClaimedDeathOrDisabilityDeductionWhichRequiresCertificate.Indicator
        /// </summary>
        public bool? FITR96 = null;

        /// <summary>
        /// RP:tns:IncomeTax.Deduction.ClaimedDeathOrDisabilityDeductionCertificateObtained.Indicator
        /// </summary>
        public bool? FITR97 = null;

        /// <summary>
        /// RP:tns:SuperannuationPayment.PaymentsToContributingEmployersAndAssociates.Indicator
        /// </summary>
        public bool? FITR98 = null;

        /// <summary>
        /// [Declaration.StatementType.Code='TrueAndCorrect']
        /// </summary>
        public bool DeclarationCollection_TrueAndCorrect_RPExists = false;

        /// <summary>
        /// [Declaration.StatementType.Code='TrueAndCorrect']
        /// </summary>
        public int DeclarationCollection_TrueAndCorrect_RPCount = 0;

        /// <summary>
        /// [Declaration.StatementType.Code='TrueAndCorrect'] Occurrence Index
        /// </summary>
        public int DeclarationCollection_TrueAndCorrect_RPOccurrenceIndex = 0;

        /// <summary>
        /// [Declaration.StatementType.Code='TrueAndCorrect'] Last Occurrence Index
        /// </summary>
        public int DeclarationCollection_TrueAndCorrect_RPLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration
        /// [Declaration.StatementType.Code='TrueAndCorrect']
        /// RP:tns:Declaration.StatementType.Code
        /// </summary>
        public string FITR161 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration
        /// [Declaration.StatementType.Code='TrueAndCorrect']
        /// RP:tns:Declaration.StatementAccepted.Indicator
        /// </summary>
        public bool? FITR162 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration
        /// [Declaration.StatementType.Code='TrueAndCorrect']
        /// RP:tns:Declaration.Statement.Text
        /// </summary>
        public string FITR122 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration
        /// [Declaration.StatementType.Code='TrueAndCorrect']
        /// RP:tns:Declaration.Signature.Date
        /// </summary>
        public DateTime? FITR123 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration
        /// [Declaration.StatementType.Code='TrueAndCorrect']
        /// RP:tns:Declaration.SignatoryIdentifier.Text
        /// </summary>
        public string FITR160 = null;

        /// <summary>
        /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory']
        /// </summary>
        public bool Declaration_PersonUnstructuredNameCollection_DeclarationSignatory_RPExists = false;

        /// <summary>
        /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory']
        /// </summary>
        public int Declaration_PersonUnstructuredNameCollection_DeclarationSignatory_RPCount = 0;

        /// <summary>
        /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory'] Occurrence Index
        /// </summary>
        public int Declaration_PersonUnstructuredNameCollection_DeclarationSignatory_RPOccurrenceIndex = 0;

        /// <summary>
        /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory'] Last Occurrence Index
        /// </summary>
        public int Declaration_PersonUnstructuredNameCollection_DeclarationSignatory_RPLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration/tns:PersonUnstructuredName
        /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory']
        /// RP:tns:PersonUnstructuredName.Usage.Code
        /// </summary>
        public string FITR166 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration/tns:PersonUnstructuredName
        /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory']
        /// RP:tns:PersonUnstructuredName.FullName.Text
        /// </summary>
        public string FITR167 = null;

        /// <summary>
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
        /// </summary>
        public bool PersonNameDetailsCollection_LGL_Contact_C_RPExists = false;

        /// <summary>
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
        /// </summary>
        public int PersonNameDetailsCollection_LGL_Contact_C_RPCount = 0;

        /// <summary>
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C'] Occurrence Index
        /// </summary>
        public int PersonNameDetailsCollection_LGL_Contact_C_RPOccurrenceIndex = 0;

        /// <summary>
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C'] Last Occurrence Index
        /// </summary>
        public int PersonNameDetailsCollection_LGL_Contact_C_RPLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
        /// RP:tns:PersonNameDetails.PersonNameType.Code
        /// </summary>
        public string FITR138 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
        /// RP:tns:PersonNameDetails.Usage.Code
        /// </summary>
        public string FITR140 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
        /// RP:tns:PersonNameDetails.Currency.Code
        /// </summary>
        public string FITR139 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
        /// RP:tns:PersonNameDetails.Title.Text
        /// </summary>
        public string FITR102 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
        /// RP:tns:PersonNameDetails.NameSuffix.Text
        /// </summary>
        public string FITR104 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
        /// RP:tns:PersonNameDetails.FamilyName.Text
        /// </summary>
        public string FITR103 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
        /// RP:tns:PersonNameDetails.GivenName.Text
        /// </summary>
        public string FITR105 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
        /// RP:tns:PersonNameDetails.OtherGivenName.Text
        /// </summary>
        public string FITR106 = null;

        /// <summary>
        /// [ElectronicContact.Telephone.Usage.Code='03']
        /// </summary>
        public bool ElectronicContactTelephoneCollection_03_RPExists = false;

        /// <summary>
        /// [ElectronicContact.Telephone.Usage.Code='03']
        /// </summary>
        public int ElectronicContactTelephoneCollection_03_RPCount = 0;

        /// <summary>
        /// [ElectronicContact.Telephone.Usage.Code='03'] Occurrence Index
        /// </summary>
        public int ElectronicContactTelephoneCollection_03_RPOccurrenceIndex = 0;

        /// <summary>
        /// [ElectronicContact.Telephone.Usage.Code='03'] Last Occurrence Index
        /// </summary>
        public int ElectronicContactTelephoneCollection_03_RPLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:ElectronicContactTelephone
        /// [ElectronicContact.Telephone.Usage.Code='03']
        /// RP:tns:ElectronicContact.Telephone.Usage.Code
        /// </summary>
        public string FITR141 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:ElectronicContactTelephone
        /// [ElectronicContact.Telephone.Usage.Code='03']
        /// RP:tns:ElectronicContact.Telephone.ServiceLine.Code
        /// </summary>
        public string FITR142 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:ElectronicContactTelephone
        /// [ElectronicContact.Telephone.Usage.Code='03']
        /// RP:tns:ElectronicContact.Telephone.Area.Code
        /// </summary>
        public string FITR107 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:ElectronicContactTelephone
        /// [ElectronicContact.Telephone.Usage.Code='03']
        /// RP:tns:ElectronicContact.Telephone.Minimal.Number
        /// </summary>
        public string FITR108 = null;

        public bool ElectronicContactElectronicMailCollectionExists = false;
        public int ElectronicContactElectronicMailCollectionCount = 0;

        /// <summary>
        /// [ElectronicContact.ElectronicMail.Usage.Code='03']
        /// </summary>
        public bool ElectronicContactElectronicMailCollection_03_RPExists = false;

        /// <summary>
        /// [ElectronicContact.ElectronicMail.Usage.Code='03']
        /// </summary>
        public int ElectronicContactElectronicMailCollection_03_RPCount = 0;

        /// <summary>
        /// [ElectronicContact.ElectronicMail.Usage.Code='03'] Occurrence Index
        /// </summary>
        public int ElectronicContactElectronicMailCollection_03_RPOccurrenceIndex = 0;

        /// <summary>
        /// [ElectronicContact.ElectronicMail.Usage.Code='03'] Last Occurrence Index
        /// </summary>
        public int ElectronicContactElectronicMailCollection_03_RPLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:ElectronicContactElectronicMail
        /// [ElectronicContact.ElectronicMail.Usage.Code='03']
        /// RP:tns:ElectronicContact.ElectronicMail.Usage.Code
        /// </summary>
        public string FITR158 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:ElectronicContactElectronicMail
        /// [ElectronicContact.ElectronicMail.Usage.Code='03']
        /// RP:tns:ElectronicContact.ElectronicMail.Address.Text
        /// </summary>
        public string FITR109 = null;

        /// <summary>
        /// RP:tns:Report.CompletionHours.Number
        /// </summary>
        public decimal? FITR110 = null;

        /// <summary>
        /// RP:tns:RegulatoryDisclosures.GeneralInformationAboutFinancialStatements.Text
        /// </summary>
        public string FITR202 = null;

        public string RPInstantId = null;
        public bool RPInstantExists = false;
        public int RPInstantCount = 0;
        public int RPInstantOccurrenceIndex = 0;
        public int RPInstantLastOccurrenceIndex = 0;
        public string RPInstantIdentifier = null;
        public string RPInstantIdentifierScheme = null;
        public string RPInstantIdentifierTFN = null;
        public DateTime? RPInstantInstantDate = null;

        /// <summary>
        /// RPInstant:tns:OrganisationControl.RegisteredMember.Count
        /// </summary>
        public decimal? FITR208 = null;

        public string RPJAUSId = null;
        public bool RPJAUSExists = false;
        public int RPJAUSCount = 0;
        public int RPJAUSOccurrenceIndex = 0;
        public int RPJAUSLastOccurrenceIndex = 0;
        public string RPJAUSIdentifier = null;
        public string RPJAUSIdentifierScheme = null;
        public string RPJAUSIdentifierTFN = null;
        public DateTime? RPJAUSStartDate = null;
        public DateTime? RPJAUSEndDate = null;

        /// <summary>
        /// RPJAUS:tns:Expense.Interest.Amount
        /// </summary>
        public decimal? FITR52 = null;

        public string RPJFOREIGNId = null;
        public bool RPJFOREIGNExists = false;
        public int RPJFOREIGNCount = 0;
        public int RPJFOREIGNOccurrenceIndex = 0;
        public int RPJFOREIGNLastOccurrenceIndex = 0;
        public string RPJFOREIGNIdentifier = null;
        public string RPJFOREIGNIdentifierScheme = null;
        public string RPJFOREIGNIdentifierTFN = null;
        public DateTime? RPJFOREIGNStartDate = null;
        public DateTime? RPJFOREIGNEndDate = null;

        /// <summary>
        /// RPJFOREIGN:tns:Income.Gross.Amount
        /// </summary>
        public decimal? FITR27 = null;

        /// <summary>
        /// RPJFOREIGN:tns:Income.Net.Amount
        /// </summary>
        public decimal? FITR28 = null;

        /// <summary>
        /// RPJFOREIGN:tns:Expense.Interest.Amount
        /// </summary>
        public decimal? FITR53 = null;

        public string RPTOFAId = null;
        public bool RPTOFAExists = false;
        public int RPTOFACount = 0;
        public int RPTOFAOccurrenceIndex = 0;
        public int RPTOFALastOccurrenceIndex = 0;
        public string RPTOFAIdentifier = null;
        public string RPTOFAIdentifierScheme = null;
        public string RPTOFAIdentifierTFN = null;
        public DateTime? RPTOFAStartDate = null;
        public DateTime? RPTOFAEndDate = null;

        /// <summary>
        /// RPTOFA:tns:Income.GainsTotal.Amount
        /// </summary>
        public decimal? FITR134 = null;

        /// <summary>
        /// RPTOFA:tns:Expense.LossesTotal.Amount
        /// </summary>
        public decimal? FITR135 = null;

        public string RPClosingId = null;
        public bool RPClosingExists = false;
        public int RPClosingCount = 0;
        public int RPClosingOccurrenceIndex = 0;
        public int RPClosingLastOccurrenceIndex = 0;
        public string RPClosingIdentifier = null;
        public string RPClosingIdentifierScheme = null;
        public string RPClosingIdentifierTFN = null;
        public DateTime? RPClosingStartDate = null;
        public DateTime? RPClosingEndDate = null;

        /// <summary>
        /// RPClosing:tns:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount
        /// </summary>
        public decimal? FITR76 = null;

        public string RPClosingInstantId = null;
        public bool RPClosingInstantExists = false;
        public int RPClosingInstantCount = 0;
        public int RPClosingInstantOccurrenceIndex = 0;
        public int RPClosingInstantLastOccurrenceIndex = 0;
        public string RPClosingInstantIdentifier = null;
        public string RPClosingInstantIdentifierScheme = null;
        public string RPClosingInstantIdentifierTFN = null;
        public DateTime? RPClosingInstantInstantDate = null;

        /// <summary>
        /// RPClosingInstant:tns:Capital.Losses.CarriedForward.Net.Amount
        /// </summary>
        public decimal? FITR207 = null;

        public string RPCFCLCId = null;
        public bool RPCFCLCExists = false;
        public int RPCFCLCCount = 0;
        public int RPCFCLCOccurrenceIndex = 0;
        public int RPCFCLCLastOccurrenceIndex = 0;
        public string RPCFCLCIdentifier = null;
        public string RPCFCLCIdentifierScheme = null;
        public string RPCFCLCIdentifierTFN = null;
        public DateTime? RPCFCLCStartDate = null;
        public DateTime? RPCFCLCEndDate = null;

        /// <summary>
        /// RPCFCLC:tns:Income.InternationalDealings.Attributed.Amount
        /// </summary>
        public decimal? FITR78 = null;

        public string RPCFCUCId = null;
        public bool RPCFCUCExists = false;
        public int RPCFCUCCount = 0;
        public int RPCFCUCOccurrenceIndex = 0;
        public int RPCFCUCLastOccurrenceIndex = 0;
        public string RPCFCUCIdentifier = null;
        public string RPCFCUCIdentifierScheme = null;
        public string RPCFCUCIdentifierTFN = null;
        public DateTime? RPCFCUCStartDate = null;
        public DateTime? RPCFCUCEndDate = null;

        /// <summary>
        /// RPCFCUC:tns:Income.InternationalDealings.Attributed.Amount
        /// </summary>
        public decimal? FITR80 = null;

        public string RPLimitedPartnersId = null;
        public bool RPLimitedPartnersExists = false;
        public int RPLimitedPartnersCount = 0;
        public int RPLimitedPartnersOccurrenceIndex = 0;
        public int RPLimitedPartnersLastOccurrenceIndex = 0;
        public string RPLimitedPartnersIdentifier = null;
        public string RPLimitedPartnersIdentifierScheme = null;
        public string RPLimitedPartnersIdentifierTFN = null;
        public DateTime? RPLimitedPartnersStartDate = null;
        public DateTime? RPLimitedPartnersEndDate = null;

        /// <summary>
        /// RPLimitedPartners:tns:TaxOffsetClaim.NonRefundableOther.Amount
        /// </summary>
        public decimal? FITR213 = null;

        public string RPInvestorId = null;
        public bool RPInvestorExists = false;
        public int RPInvestorCount = 0;
        public int RPInvestorOccurrenceIndex = 0;
        public int RPInvestorLastOccurrenceIndex = 0;
        public string RPInvestorIdentifier = null;
        public string RPInvestorIdentifierScheme = null;
        public string RPInvestorIdentifierTFN = null;
        public DateTime? RPInvestorStartDate = null;
        public DateTime? RPInvestorEndDate = null;

        /// <summary>
        /// RPInvestor:tns:TaxOffsetClaim.NonRefundableOther.Amount
        /// </summary>
        public decimal? FITR214 = null;

        public string RPInvestorYPreviousId = null;
        public bool RPInvestorYPreviousExists = false;
        public int RPInvestorYPreviousCount = 0;
        public int RPInvestorYPreviousOccurrenceIndex = 0;
        public int RPInvestorYPreviousLastOccurrenceIndex = 0;
        public string RPInvestorYPreviousIdentifier = null;
        public string RPInvestorYPreviousIdentifierScheme = null;
        public string RPInvestorYPreviousIdentifierTFN = null;
        public DateTime? RPInvestorYPreviousStartDate = null;
        public DateTime? RPInvestorYPreviousEndDate = null;

        /// <summary>
        /// RPInvestorYPrevious:tns:TaxOffsetClaim.NonRefundableOther.Amount
        /// </summary>
        public decimal? FITR218 = null;

        public string RPLimitedPartnersYPreviousId = null;
        public bool RPLimitedPartnersYPreviousExists = false;
        public int RPLimitedPartnersYPreviousCount = 0;
        public int RPLimitedPartnersYPreviousOccurrenceIndex = 0;
        public int RPLimitedPartnersYPreviousLastOccurrenceIndex = 0;
        public string RPLimitedPartnersYPreviousIdentifier = null;
        public string RPLimitedPartnersYPreviousIdentifierScheme = null;
        public string RPLimitedPartnersYPreviousIdentifierTFN = null;
        public DateTime? RPLimitedPartnersYPreviousStartDate = null;
        public DateTime? RPLimitedPartnersYPreviousEndDate = null;

        /// <summary>
        /// RPLimitedPartnersYPrevious:tns:TaxOffsetClaim.NonRefundableOther.Amount
        /// </summary>
        public decimal? FITR217 = null;

    }
}
